%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           opencsg
Version:        1.4.2
Release:        %mkrel 1
Summary:        Library for Constructive Solid Geometry using OpenGL
Group:          System/Libraries
# license.txt contains a linking exception for CGAL
License:        GPLv2+ with exceptions
URL:            http://www.opencsg.org/
Source0:        http://www.opencsg.org/OpenCSG-%{version}.tar.gz
Patch0:         opencsg-build.patch

BuildRequires:  dos2unix
BuildRequires:  freeglut-devel
BuildRequires:  pkgconfig(glew)
BuildRequires:  qt4-devel

%description
OpenCSG is a library that does image-based CSG rendering using OpenGL.

#----------------------------------------------------------------------------

%package -n     %{libname}
Summary:        Library for Constructive Solid Geometry using OpenGL
Group:          System/Libraries

%description -n %{libname}
OpenCSG is a library that does image-based CSG rendering using OpenGL.

CSG is short for Constructive Solid Geometry and denotes an approach to model
complex 3D-shapes using simpler ones. I.e., two shapes can be combined by
taking the union of them, by intersecting them, or by subtracting one shape
of the other.

%files -n       %{libname}
%doc changelog.txt doc/* license.txt
%{_libdir}/lib%{name}.so.%{major}{,.*}

#----------------------------------------------------------------------------

%package -n     %{devname}
Summary:        OpenCSG development files
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for OpenCSG.

%files -n       %{devname}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so

#----------------------------------------------------------------------------

%prep
%setup -q -n OpenCSG-%{version}
%autopatch -p1

# Use Mageia's glew
rm -rf glew/

%build
%qmake_qt4
%make_build

%install
# No make install
chmod g-w lib/*
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}
cp -pP lib/* %{buildroot}%{_libdir}/
cp -p include/%{name}.h %{buildroot}%{_includedir}/


%changelog
* Sun Oct 30 2016 akien <akien> 1.4.2-1.mga6
+ Revision: 1064235
- Version 1.4.2

* Tue Feb 16 2016 umeabot <umeabot> 1.4.0-3.mga6
+ Revision: 961937
- Mageia 6 Mass Rebuild

* Mon Aug 24 2015 sander85 <sander85> 1.4.0-2.mga6
+ Revision: 869140
- Rebuild for glew 1.13.0

* Mon Jul 06 2015 akien <akien> 1.4.0-1.mga6
+ Revision: 851874
- Version 1.4.0

* Wed Oct 15 2014 umeabot <umeabot> 1.3.3-3.mga5
+ Revision: 739542
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.3-2.mga5
+ Revision: 683202
- Mageia 5 Mass Rebuild

* Thu Jun 12 2014 akien <akien> 1.3.3-1.mga5
+ Revision: 635861
- Set proper package names for library and dev package
- import source RPM from Fedora

